From 7dc76c8d9f4cfbce7cf11424120aa6f6094916dc Mon Sep 17 00:00:00 2001
From: Jose Dapena Paz <jose.dapena@lge.com>
Date: Wed, 05 Jun 2019 21:09:01 +0000
Subject: [PATCH] GCC: XSetWindowAttributes struct initialization should keep order of declaration

XSetWindowAttributes initialization of attributes in GLSurfaceGLX is not in the
same order of the declaration. GCC fails because of that.

Bug: 819294
Change-Id: I8a97da980d5961a35a47ae4d0d8d558b85291f1f
Reviewed-on: https://chromium-review.googlesource.com/c/chromium/src/+/1646253
Reviewed-by: Zhenyao Mo <zmo@chromium.org>
Commit-Queue: José Dapena Paz <jose.dapena@lge.com>
Cr-Commit-Position: refs/heads/master@{#666436}
---

diff --git a/ui/gl/gl_surface_glx.cc b/ui/gl/gl_surface_glx.cc
index f649dd4..0aa6892 100644
--- a/ui/gl/gl_surface_glx.cc
+++ b/ui/gl/gl_surface_glx.cc
@@ -583,10 +583,10 @@
 
   XSetWindowAttributes swa = {
       .background_pixmap = 0,
-      .bit_gravity = NorthWestGravity,
-      .colormap = g_colormap,
       .background_pixel = 0,  // ARGB(0,0,0,0) for compositing WM
       .border_pixel = 0,
+      .bit_gravity = NorthWestGravity,
+      .colormap = g_colormap,
   };
   auto value_mask = CWBackPixmap | CWBitGravity | CWColormap | CWBorderPixel;
   if (ui::IsCompositingManagerPresent() &&
